Bug 160639 - [maintainer-update] [patch] devel/hg-git: Update to 0.3.0
Summary: [maintainer-update] [patch] devel/hg-git: Update to 0.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-10 19:20 UTC by Marco Bröder
Modified: 2011-09-17 01:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.64 KB, patch)
2011-09-10 19:20 UTC, Marco Bröder
no flags Details | Diff
py27-hg-git-0.3.0.log (9.44 KB, text/x-log; charset="us-ascii")
2011-09-10 19:31 UTC, Marco Bröder
no flags Details
hg-git-0.3.1.patch (1.68 KB, patch)
2011-09-14 09:42 UTC, Marco Bröder
no flags Details | Diff
py27-hg-git-0.3.1.log (9.30 KB, text/x-log; charset="us-ascii")
2011-09-14 09:42 UTC, Marco Bröder
no flags Details
hg-git-0.3.1.patch (1.68 KB, patch)
2011-09-14 10:10 UTC, Marco Bröder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Bröder 2011-09-10 19:20:08 UTC
1.) Update to 0.3.0 release.

Upgrading is highly recommended! This release fixes an incompatibility with
Mercurial 1.9.x versions.

Known issue: 'hg outgoing' against git repositories does not work in 1.9.x
right now, but only because nobody's spent the time to fix it for new
discovery. Upstream encourages patches for that.

And upstream is very interested in getting bug reports. If you find any other
defects please submit any bug reports upstream. Thanks!

2.) Move license block to satisfy new portlint check.

3.) Bump required dependencies versions.

4.) Patch egg dulwich dependency version. Dulwich 0.8.1 is not released yet,
but I tested Hg-Git against version 0.8.0 and that works good enough for now.
I will drop the patches and bump required dulwich version the same time I
update devel/dulwich port to 0.8.1 when the new Dulwich version is released.

5.) Tested: portlint, tinderbox build, pkg_add / pkg_delete, runtime

Thanks!

Fix: Patch attached with submission follows:
Comment 1 Marco Bröder 2011-09-10 19:31:51 UTC
Tinderbox build log attached.

-- 
Regards
Comment 2 Marco Bröder 2011-09-14 09:42:37 UTC
Upstream released 0.3.1, which just corrects the required Dulwich version to 
0.8.0. So drop own patches.

Updated patch and tinderbox build log attached.

Thanks!

-- 
Regards
Comment 3 Marco Bröder 2011-09-14 10:10:25 UTC
Resend patch. This time not inlined to ease extraction.

Hopefully gnats will recognize it, now.

-- 
Regards
Comment 4 Pawel Pekala freebsd_committer 2011-09-16 22:36:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 5 dfilter service freebsd_committer 2011-09-17 01:05:24 UTC
pawel       2011-09-17 00:05:15 UTC

  FreeBSD ports repository

  Modified files:
    devel/hg-git         Makefile distinfo pkg-message 
  Log:
  Update to version 0.3.1
  
  PR:             ports/160639
  Submitted by:   Marco Broder <marco.broeder@gmx.eu> (maintainer)
  Approved by:    miwi, wen (mentors implicit)
  
  Revision  Changes    Path
  1.9       +4 -4      ports/devel/hg-git/Makefile
  1.8       +2 -2      ports/devel/hg-git/distinfo
  1.3       +2 -2      ports/devel/hg-git/pkg-message
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Pawel Pekala freebsd_committer 2011-09-17 01:05:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!